Bug 459050 - 10-alpha DVD.iso fails to install under qemu in virt-manager with 512M memory allocated
10-alpha DVD.iso fails to install under qemu in virt-manager with 512M memory...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 18:32 EDT by Jef Spaleta
Modified: 2009-02-16 15:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 15:32:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback console message screenshot for default partitioning (14.81 KB, image/png)
2008-08-13 18:35 EDT, Jef Spaleta
no flags Details
Console F5 error message when using only ext3 and swap partitions (13.93 KB, image/png)
2008-08-13 18:38 EDT, Jef Spaleta
no flags Details
Graphical dialog error message with ext3 partitions (59.68 KB, image/png)
2008-08-13 18:40 EDT, Jef Spaleta
no flags Details

  None (edit)
Description Jef Spaleta 2008-08-13 18:32:13 EDT
Description of problem:
10-alpha i386 DVD iso fails to install under qemu in virt-manager with 512M memory allocated (default alocation in virt-manager in F9).  1 G of memory is sufficient but I  do not know what the minimum memory is.

Install fails during partitioning. If LVM is in use (default partitioning) then there is a traceback. If only ext3 and swap partitions are in use..fails with a can't stat device error.

Talking to wwoods, a netinstall using virt-manager with 512M allocated works for him.  I have not completed a netinstall here myself yet...in the process of doing so..but the network is slow.

Should an iso image based install require more allocated memory?



How reproducible:
take dvd.iso from f10-alpha torrent, use it as the install image in virt-manager with qemu on F9.  

Steps to Reproduce:
1. Choose all defaults allocations in virt-manager, create virtual disk image of 5G or more.
2. Choose all defaults in f10-alpha installer including partitioning
3. Watch the traceback message

4. redo with 1 G of memory allocated in virt-manager's dialogs
5. Install proceeds cleanly.
  

Expected results:
512M memory should be enough for the installer to partition the virtual drive image.

Additional info:
I'll be adding some screenshots captured from virt-manager trying to install the f10-alpha dvd i386 iso to supplement this initial post.
Comment 1 Jef Spaleta 2008-08-13 18:35:11 EDT
Created attachment 314265 [details]
traceback console message screenshot for default partitioning

Screenshot of traceback with default partitioning  under virt-manager qemu session with 512M allocated  F10 alpha i386 DVD iso as installer media.
Comment 2 Jef Spaleta 2008-08-13 18:38:22 EDT
Created attachment 314266 [details]
Console F5 error message when using only ext3 and swap partitions

Console error message screenshot when using custom partitioning and 512M memory allocation.
Replaced the default LVM layout with swap and ext3 / and /boot partitions
Comment 3 Jef Spaleta 2008-08-13 18:40:12 EDT
Created attachment 314267 [details]
Graphical dialog error message with ext3 partitions

Here's the graphical dialog that goes along with the console error with ext3 only partitions.
Comment 4 Chris Lumens 2008-08-14 11:00:13 EDT
Your first traceback should be fixed in anaconda-11.4.1.26-1.  Please test again with that or later version and open new bugs for whatever other partitioning errors you find.  Thanks.
Comment 5 Jef Spaleta 2008-08-14 17:09:21 EDT
(In reply to comment #4)

I'm not sure how to confirm the fix.. network install from rawhide fails to work under virt-manager.. installer fails to detect the network interface and asks me to select a network driver just after asking for the language and keyboard locale in the ncurses interface. I guess I should open a new bug on this new problem.

But even still... the f10alpha errors seems to depend on a difference between installing from an iso..versus installing from a network and I'm not sure how to test that again until the beta iso is released. Thoughts?

-jef
Comment 6 Bug Zapper 2008-11-25 21:46:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.